Package org.eclipse.rdf4j.sail.config

## Class AbstractSailImplConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

- All Implemented Interfaces:
    `SailImplConfig`
  Direct Known Subclasses:
    `AbstractDelegatingSailImplConfig`, `BaseSailConfig`, `FederationConfig`

      public abstract class AbstractSailImplConfig
      extends Object
      implements SailImplConfig

  Base implementation of `SailImplConfig`
  Author:
    Herko ter Horst

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractSailImplConfig()` | Create a new RepositoryConfigImpl.
    `AbstractSailImplConfig​(String type)` | Create a new RepositoryConfigImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Resource` | `export​(Model m)` |
    `long` | `getConnectionTimeOut()` | Get the connection timeout (in ms).
    `long` | `getIterationCacheSyncThreshold()` |
    `String` | `getType()` |
    `void` | `parse​(Model m, Resource implNode)` |
    `void` | `setConnectionTimeOut​(long connectionTimeOut)` | Set the connection timeout (in ms).
    `void` | `setIterationCacheSyncThreshold​(long iterationCacheSyncThreshold)` |
    `void` | `setType​(String type)` |
    `void` | `validate()` | Validates this configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSailImplConfig

          public AbstractSailImplConfig()

      Create a new RepositoryConfigImpl.

    - #### AbstractSailImplConfig

          public AbstractSailImplConfig​(String type)

      Create a new RepositoryConfigImpl.

  - ### Method Detail

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `SailImplConfig`

    - #### setType

          public void setType​(String type)

    - #### validate

          public void validate()
                        throws SailConfigException

      Description copied from interface: `SailImplConfig`
      Validates this configuration. A `SailConfigException` is thrown when the configuration is invalid. The exception should contain an error message that indicates why the configuration is invalid.
      Specified by:
        `validate` in interface `SailImplConfig`
      Throws:
        `SailConfigException` - If the configuration is invalid.

    - #### export

          public Resource export​(Model m)

      Specified by:
        `export` in interface `SailImplConfig`

    - #### parse

          public void parse​(Model m,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Throws:
        `SailConfigException`

    - #### getIterationCacheSyncThreshold

          public long getIterationCacheSyncThreshold()

      Specified by:
        `getIterationCacheSyncThreshold` in interface `SailImplConfig`
      Returns:
        Returns the iterationCacheSize.

    - #### setIterationCacheSyncThreshold

          public void setIterationCacheSyncThreshold​(long iterationCacheSyncThreshold)

      Parameters:
        `iterationCacheSyncThreshold` - The iterationCacheSyncThreshold to set.

    - #### getConnectionTimeOut

          public long getConnectionTimeOut()

      Get the connection timeout (in ms).
      Returns:
        connection timeout (in ms)

    - #### setConnectionTimeOut

          public void setConnectionTimeOut​(long connectionTimeOut)

      Set the connection timeout (in ms).
      Parameters:
        `connectionTimeOut` - timeout (in ms)